import sendError from "./sendError"
import { NextApiRequest, NextApiResponse } from "next"

async function getPinFromBody<T>(req: NextApiRequest, res: NextApiResponse<T>) {
  const body = JSON.parse(req.body)
  if (
    typeof body !== "object" ||
    !body ||
    !("pin" in body) ||
    typeof body.pin !== "string"
  )
    throw sendError(req, res, {
      message: "No pin in request body!",
      statusCode: 401,
      solved: true,
      type: ["warn"],
    })
  const { pin } = body

  return pin
}

export default getPinFromBody
