import { gameContext } from "../../pages/_app"
import { useSession } from "next-auth/react"
import { useContext, useEffect } from "react"
import { toast } from "react-toastify"

function useGameState() {
  const [gameProps, setGameProps] = useContext(gameContext)
  const { data: session, status } = useSession()

  useEffect(() => {
    if (status === "loading") return
    if (!session)
      toast("Nicht angemeldet.", {
        toastId: "user",
        position: "top-center",
      })
    else
      toast(session.user.email, {
        toastId: "user",
        position: "top-center",
        icon: session.user.image ? (
          <img
            style={{ transform: "scale(1.5)", borderRadius: "100%" }}
            src={session.user.image}
          />
        ) : undefined,
      })
  }, [session])

  return {
    gameProps,
    setGameProps,
    session,
    status,
  }
}

export default useGameState
