import { GameSchema } from "../prisma/generated/zod"
import { z } from "zod"

export const CreateSchema = z.object({
  game: GameSchema.strict(),
  pin: z.string().optional(),
  player: z.object({
    id: z.string(),
    name: z.string().optional(),
    isOwner: z.boolean().optional(),
  }),
  enemy: z
    .object({
      id: z.string(),
      username: z.string().optional(),
      isOwner: z.boolean().optional(),
    })
    .optional(),
})
